use clap::{Parser, Subcommand};

#[derive(Parser, Debug)]
#[command(author, version, about, long_about = None)]
struct Arguments {
    #[command(subcommand)]
    command: Command
}

#[derive(Subcommand, Debug)]
enum Command {
    Init(command_init::Arguments),
}

fn main() {
    let arguments = Arguments::parse();

    match &arguments.command {
        Command::Init(arguments) => { command_init::execute(arguments) }
    }
}
